Cyberduck Mountain Duck CLI

#7965 closed defect (thirdparty)

Invalid packet: indicated length 1114795883 too large

Reported by: colbybarron Owned by: dkocher
Priority: normal Milestone:
Component: sftp Version: Nightly Build
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.9

Description

Double click on a bookmark to an sftp site and it logs in, but nothing happens. I am still on the bookmark page and can't get out.

Seems to work with I double click another bookmark to a site that is just FTP.

In bookmark list, sort by nickname... works. Close app, re-open, my sort is lost. Considering I have 20-30 bookmarks, really hard to find anything unless sorted.

Change History (12)

comment:1 Changed on May 19, 2014 at 6:19:28 PM by colbybarron

Version 4.5 (14646)

comment:2 Changed on May 19, 2014 at 7:06:38 PM by dkocher

  • Component changed from core to sftp
  • Milestone set to 4.5
  • Owner set to dkocher

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

comment:3 in reply to: ↑ description Changed on May 19, 2014 at 7:07:04 PM by dkocher

Replying to colbybarron:

In bookmark list, sort by nickname... works. Close app, re-open, my sort is lost. Considering I have 20-30 bookmarks, really hard to find anything unless sorted.

This is in #7959.

comment:4 Changed on May 19, 2014 at 7:26:21 PM by colbybarron

May 19 12:21:50 deathclock.creekside.local Cyberduck[1314]: [background-1] FATAL ch.cyberduck.ui.AbstractController - Unhandled exception running background task Invalid packet: indicated length 1114795883 too large
Last edited on May 19, 2014 at 7:39:01 PM by dkocher (previous) (diff)

comment:5 Changed on May 19, 2014 at 7:39:14 PM by dkocher

  • Status changed from new to assigned
  • Summary changed from Version 4.5 (14646) to Invalid packet: indicated length 1114795883 too large

comment:6 Changed on Jun 3, 2014 at 9:58:58 AM by dkocher

  • Resolution set to thirdparty
  • Status changed from assigned to closed

Fixed error handling in r14699. We blame the server software for sending an invalid packet. Please report this issue to the server software vendor.

comment:7 Changed on May 4, 2015 at 11:34:30 AM by dkocher

#8764 closed as duplicate.

comment:9 Changed on Nov 8, 2017 at 2:15:23 PM by dkocher

Typically you will need to move the commands that print the message from .bashrc script to .bash_profile.

comment:10 Changed on Nov 8, 2017 at 2:16:00 PM by dkocher

Possibly the server is printing a message similar to Please login as the ubuntu user rather than root user. Please verify the username for your connection.

comment:11 Changed on Nov 8, 2017 at 2:17:41 PM by dkocher

Documentation in wiki.

comment:12 Changed on Nov 8, 2017 at 2:17:49 PM by dkocher

  • Milestone 4.5 deleted
Note: See TracTickets for help on using tickets.
swiss made software